//
//  MXAddFileEntry.h
//  ChatSDK
//
//  Created by Moxtra on 2017/8/29.
//  Copyright © 2017 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface MXAddFileEntry : NSObject

/**
 Entry title
 */
@property (nonatomic, copy) NSString *title;

/**
 Entry icon
 */
@property (nonatomic, copy, nullable) UIImage *icon;

/**
 A block be excuted when this entry button get clicked
 */
@property (nonatomic, copy) void(^handleEntryOnClicked)(id chatOrMeet, UIViewController *viewController, id sender);

/**
 Get a file entry quickly
 */
+ (instancetype)entryWithTitle:(NSString *)title
                        iconImage:(UIImage *)icon
                        onClicked:(nullable void(^)(id chatOrMeet, UIViewController *viewController, id sender))handler;

@end

NS_ASSUME_NONNULL_END
