//
//  MXAppearanceManager.h
//  ChatSDK
//
//  Created by Moxtra on 2018/7/2.
//  Copyright © 2018 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>

@class MXChatAppearance;
@class MXMeetAppearance;

#pragma mark - MXAppearance
@protocol MXAppearance

/**
 Background color of navigation bar, will cover the configurations on organization admin site.
 */
@property (nonatomic, strong, readwrite) UIColor *navBackgroundColor;
/**
 Foreground color of navigation bar, will cover the configurations on organization admin site.
 */
@property (nonatomic, strong, readwrite) UIColor *navForegroundColor;

@end

#pragma mark - MXAppearanceManager
@interface MXAppearanceManager : NSObject

/**
 Get appearance manager singleton
 */
+ (instancetype)sharedInstance;

/**
 Appearance configurations in Moxtra chat.
 */
@property (nonatomic, strong) MXChatAppearance *chatAppearance;

/**
 Appearance configurations in Moxtra meet.
 */
@property (nonatomic, strong) MXMeetAppearance *meetAppearance;

#pragma mark - Unavailable
+ (instancetype)new UNAVAILABLE_ATTRIBUTE;
- (instancetype)init UNAVAILABLE_ATTRIBUTE;

@end
