//
//  MXAuditEvent.h
//  ChatSDK
//
//  Created by Moxtra on 2018/1/30.
//  Copyright © 2018 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 The audit event object
 */
@interface MXAuditEvent : NSObject

/**
 Id of the releated chat
 */
@property (nonatomic, copy, nonnull) NSString *chatId;

/**
 Id of the related feed
 */
@property (nonatomic, assign) NSUInteger feedId;

/**
 Id of the event action
 */
@property (nonatomic, assign) NSUInteger actionId;

/**
 Extra info of this event
 @discussion
 Keys name in covered cases are listed below:
 * Edit message case: 'old_message','new_message'
 * Delete message case: 'old_message'
 * Delete file case: 'file_name', 'file_hash', 'creator_org_id', 'creator_unique_id'
 * Todo deleted case: 'todo_title', 'creator_org_id', 'creator_unique_id'
 * Todo renameed case: 'todo_old_title', 'todo_title', 'creator_org_id', 'creator_unique_id'
 * Todo description updated case: 'todo_title', 'todo_old_desp', 'todo_desp', 'creator_org_id', 'creator_unique_id'
 */
@property (nonatomic, strong, nullable) NSDictionary *extraInfo;

@end
