//
//  MXChatAppearance.h
//  ChatSDK
//
//  Created by Moxtra on 2018/7/2.
//  Copyright © 2018 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MXAppearanceManager.h"

@protocol MXAppearance;

@interface MXChatAppearance : NSObject <MXAppearance>

/**
 Get chat appearance singleton
 */
+ (instancetype)sharedInstance;

/**
 An UIColor value indicating chat view's background color.
 */
@property (nonatomic, strong) UIColor *chatBackgroundColor;

/**
 An UIColor value indicating chat actor's name color.
 */
@property (nonatomic, strong) UIColor *chatActorNameTextColor;

/**
 An UIColor value indicating an internal incoming chat bubble's background color.
 */
@property (nonatomic, strong) UIColor *internalIncomingChatMessageBackgroundColor;

/**
 An UIColor value indicating an external incoming chat bubble's background color.
 */
@property (nonatomic, strong) UIColor *externalIncomingChatMessageBackgroundColor;

/**
 An UIColor value indicating an incoming chat bubble's text color.
 */
@property (nonatomic, strong) UIColor *incomingChatMessageTextColor;

/**
 An UIColor value indicating an external outgoing chat bubble's background color.
 */
@property (nonatomic, strong) UIColor *externalOutgoingChatMessageBackgroundColor;

/**
 An UIColor value indicating an internal outgoing chat bubble's background color.
 */
@property (nonatomic, strong) UIColor *internalOutgoingChatMessageBackgroundColor;

/**
 An UIColor value indicating an outgoing chat bubble's text color.
 */
@property (nonatomic, strong) UIColor *outgoingChatMessageTextColor;

/**
 An UIColor value indicating system message text color, such as: XXX joined/XXX deleted file and the time stamp in the chat.
 */
@property (nonatomic, strong) UIColor *systemMessageTextColor;

#pragma mark - Unavailable
+ (instancetype)new UNAVAILABLE_ATTRIBUTE;
- (instancetype)init UNAVAILABLE_ATTRIBUTE;

@end
