//
//  MXChatMember.h
//  ChatSDK
//
//  Created by Moxtra on 2017/12/14.
//  Copyright © 2017年 moxtra. All rights reserved.
//

#import "MXUserItem.h"

/**
 - MXChatMemberAccessTypeNone: Indicating the user is not a member of this chat.
 - MXChatMemberAccessTypeOwner: Indicating the user is the owner of this chat.
 - MXChatMemberAccessTypeEditor: Indicating the user has edit permission.
 - MXChatMemberAccessTypeViewer: Indicating the user has only view permission.
 */
typedef NS_ENUM(NSUInteger, MXChatMemberAccessType) {
    MXChatMemberAccessTypeNone,
    MXChatMemberAccessTypeOwner,
    MXChatMemberAccessTypeEditor,
    MXChatMemberAccessTypeViewer
};

/**
 The MXChatMember class provides interfaces for basic information about users in a specific chat
 */
@interface MXChatMember : MXUserItem

/**
 Access type of a user in a specific chat.
 */
@property (nonatomic, assign, readonly) MXChatMemberAccessType accessType;

@end
