//
//  MXChatSDKError.h
//  ChatSDK
//
//  Created by Rookie on 18/05/2017.
//  Copyright © 2017 moxtra. All rights reserved.
//

#ifndef MXChatSDKError_h
#define MXChatSDKError_h

FOUNDATION_EXTERN NSErrorDomain const MXChatSDKErrorDomain;

/**
 ChatSDK error code
 
 - MXChatSDKErrorUnknown: Unknown error
 - MXChatSDKErrorNotLink: No account is linked yet
 - MXChatSDKErrorNoNetwork: No network connection
 - MXChatSDKErrorNoPermission: No permission for the request
 - MXChatSDKErrorExceedLimit: Exceed limit of the user's plan
 - MXChatSDKErrorTimeout: Request timeout
 - MXChatSDKErrorInvalidAccount: Invalid account info
 - MXChatSDKErrorInvalidObject: Some object related with the request is invalid
 - MXChatSDKErrorPreconditionNotSatisfied: The precondition of the request is not satisfied
 - MXChatSDKErrorInvalidRequest: The request is not valid which typically means parameter error
 - MXChatSDKErrorNotSupport: The request is not supported by the device or declined by the user
 */
typedef NS_ENUM(NSUInteger, MXChatSDKError) {
    MXChatSDKErrorUnknown,
    MXChatSDKErrorNotLink,
    MXChatSDKErrorNoNetwork,
    MXChatSDKErrorNoPermission,
    MXChatSDKErrorExceedLimit,
    MXChatSDKErrorTimeout,
    MXChatSDKErrorInvalidAccount,
    MXChatSDKErrorInvalidObject,
    MXChatSDKErrorPreconditionNotSatisfied,
    MXChatSDKErrorInvalidRequest,
    MXChatSDKErrorNotSupport
};

#endif /* MXChatSDKError_h */
