//
//  MXChatSearchViewController.h
//  ChatSDK
//
//  Created by wubright on 2018/8/17.
//  Copyright © 2018 moxtra. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@class MXChat;

@interface MXChatSearchViewController : UIViewController

/**
 The chat of this search controller
 */
@property (nonatomic, strong) MXChat *chat;

/**
 Called when a feed is tapped.
 */
@property (nonatomic, copy, nullable) void (^didTapFeed)(MXChat *chat, id sender ,id feed);

/**
 Called when the cancel button is tapped.
 */
@property (nonatomic, copy, nullable) void (^didTapCancel)(id sender);

/**
 Initialize chat search controller with a specified chat.
 
 @param chat The related chat
 @return Return a newly initialized chat search controller
 */
- (instancetype)initWithChat:(MXChat *)chat;

@end

NS_ASSUME_NONNULL_END
