//
//  MXFileViewController.h
//  ChatSDK
//
//  Copyright © 2017 moxtra. All rights reserved.
//

#import <UIKit/UIKit.h>

@class MXFileItem;

/**
 The MXFileViewController class provides UI components for presenting contents of a file. You should specify a chat when initializing so that the view controller could know whose content it should present. */
@interface MXFileViewController : UIViewController

/**
 The file item whose content the view controller should present.
 */
@property (nonatomic, strong) MXFileItem *fileItem;

/**
 Initialize a chat view controller with a specified chat.
 
 @param fileItem The related file item.
 @return Return a newly initialized file view controller.
 */
- (instancetype)initWithFileItem:(MXFileItem *)fileItem;

#pragma mark - Unavailable

- (instancetype)init UNAVAILABLE_ATTRIBUTE;
- (instancetype)initWithCoder:(NSCoder *)aDecoder UNAVAILABLE_ATTRIBUTE;
- (instancetype)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil UNAVAILABLE_ATTRIBUTE;

@end
