//
//  MXFolderItem.h
//  ChatSDK
//
//  Created by Rookie on 17/02/2017.
//  Copyright © 2017 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class MXFileItem;

/**
 The MXFolderItem class provides interfaces for basic information about folders.
 */
@interface MXFolderItem : NSObject

/**
 Folder name.
 */
@property (nonatomic, strong, readonly) NSString *name;

/**
 Last updated time measuring in milliseconds since 00:00:00 UTC on 1 January 1970.
 */
@property (nonatomic, assign, readonly) NSDate *updatedTime;

/**
 created time measuring in milliseconds since 00:00:00 UTC on 1 January 1970.
 */
@property (nonatomic, assign, readonly) NSDate *createdTime;

/**
 Parent folder.
 */
@property (nonatomic, strong, readonly, nullable) MXFolderItem *parent;

/**
 The chat that this folder belongs to.
 */
@property (nonatomic, strong, readonly) MXChat *chat;

@end

NS_ASSUME_NONNULL_END
