//
//  MXTeamItem.h
//  ChatSDK
//
//  Copyright © 2017 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>

@class MXUserItem;

/**
 The MXTeamItem class provides interfaces for basic information about teams.
 */
@interface MXTeamItem : NSObject

/**
 Team id
 */
@property (nonatomic, readonly, strong, nonnull) NSString *teamId;

/**
 Team name
 */
@property (nonatomic, readonly, strong, nonnull) NSString *name;

/**
 An array containing all members of this team.
 @see MXUserItem
 */
@property (nonatomic, readonly, strong, nonnull) NSArray<MXUserItem *> *members;

/**
 The team's owner
 */
@property (nonatomic, readonly, strong, nonnull) MXUserItem *owner;

@end

