//
//  MXTodoItem.h
//  ChatSDK
//
//  Copyright © 2016 moxtra. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class MXChat;
@class MXUserItem;

/**
 The MXTodoItem class provides interfaces for basic information about todos.
 */
@interface MXTodoItem : NSObject

/**
 The user who creates this todo.
 */
@property (nonatomic, strong, readonly) MXUserItem *creator;

/**
 The user that this todo is assigned to.
 */
@property (nonatomic, strong, readonly, nullable) MXUserItem *assignee;

/**
 The title of this todo
 */
@property (nonatomic, strong, readonly) NSString *title;

/**
 Due time.
 */
@property (nonatomic, strong, readonly, nullable) NSDate *dueTime;

/**
 Created time.
 */
@property (nonatomic, strong, readonly)  NSDate *createdTime;

/**
 A boolean value indicating whether this todo has been flagged.
 */
@property (nonatomic, assign, readonly) BOOL flag;

/**
 The chat that this todo belongs to.
 */
@property (nonatomic, strong, readonly) MXChat *chat;

/**
 A boolean value indicating whether this todo has been completed.
 */
@property (nonatomic, assign, readonly, getter=isCompleted) BOOL completed;

@end

NS_ASSUME_NONNULL_END
