//
//  MXTodoViewController.h
//  ChatSDK
//
//  Created by Rookie on 27/03/2017.
//  Copyright © 2017 moxtra. All rights reserved.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@class MXTodoItem;

/**
 The MXTodoViewController class provides UI components for information about a specified todo which should be set as a parameter when initailizing. It also contains user interfaces used for interacting with the todo.
 */
@interface MXTodoViewController : UIViewController

/**
 The related todo.
 */
@property (nonatomic, strong) MXTodoItem *todoItem;

/**
 Intialize a view controller for information about the specified todo.
 
 @param todoItem The todo whose information will be displayed in the view.
 @return A newly initialized MXTodoViewController instance.
 */
- (instancetype)initWithTodoItem:(MXTodoItem *)todoItem;

#pragma mark - Unavailable

- (instancetype)init UNAVAILABLE_ATTRIBUTE;
- (instancetype)initWithCoder:(NSCoder *)aDecoder UNAVAILABLE_ATTRIBUTE;
- (instancetype)initWithNibName:(NSString * _Nullable)nibNameOrNil bundle:(NSBundle * _Nullable)nibBundleOrNil UNAVAILABLE_ATTRIBUTE;

@end

NS_ASSUME_NONNULL_END
