//
//  MXToolkit.h
//  ChatSDK
//
//  Copyright (c) Moxtra Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@class MXChat;

/**
 The MXToolkit class provides some useful features.
 */
@interface MXToolkit : NSObject

/**
 Enable auto pop meet ring UI when get called. Default is NO.
 @discussion Only working when app is in foreground.
 */
@property (nonatomic, assign) BOOL meetRingEnabled;

+ (instancetype)sharedInstance;

/**
 Import a file to a chat.
 
 @param chat        target chat
 @param filePath The file local path
 @param fileName The file name to save as
 @param completionHandler A block to be executed when the action completes.
 */
- (void)saveFileToChat:(MXChat *)chat
              filePath:(NSString *)filePath
                  name:(NSString *)fileName
     completionHandler:(void (^ _Nullable)(NSError * _Nullable errorOrNil))completionHandler;

@end

NS_ASSUME_NONNULL_END
