//Add bbcode support customize tags define.
XBBCODE.addTags({
    youtube: {
        openTag: function(params, content) {
            return (
                '<iframe width="100%" src="https://www.youtube.com/embed/' +
                content +
                '?rel=0" frameborder="0" allowfullscreen>'
            );
        },
        closeTag: function() {
            return "</iframe>";
        }
    },
    iframe: {
        openTag: function(params, content) {
            var width,
            height,
            str,
            reg = /(height|width)=(&quot;|&#x27;|\b)(\d+)\2/gi;
            if (params) {
                while ((str = reg.exec(params)) !== null) {
                    if (RegExp.$1 === "height") {
                        height = RegExp.$3;
                    } else {
                        width = RegExp.$3;
                    }
                }
                if (!width && !height) {
                    params = params.match(/\d+/g);
                    if (params && params.length) {
                        width = params[0];
                        height = params[1];
                    }
                }
            }
            var iframe =
            '<iframe security="restricted" sandbox="" scrolling="no" src="' +
            content +
            '"';
            if (width && height) {
                if (parseInt(width) > 500) {
                    width = 500;
                }
                iframe += ' width="' + width + '" height="' + height + '"';
            }
            iframe += ">";
            return iframe;
        },
        closeTag: function() {
            return "</iframe>";
        }
    },
    /*
    * Not sure which parameter content will support, suppose the support all type parameter content except " now.
    * */
    mxbutton: {
        openTag: function(params, content) {
            /*
            [mxButton=bot_postback payload="the-payload" client_id="clientid"]1111[/mxButton]
            */
            var type,
            payload = "",
            client_id = "";
            if (params) {
                var matchType = params.match(/^=(\S+)/);
                if (matchType && matchType.length) {
                    type = matchType[1];
                }
                var matchPayload = params.match(
                    /\bpayload=(?:&quot;|")(.+?)(?:&quot;|")/
                );
                if (matchPayload && matchPayload.length) {
                    payload = matchPayload[1];
                }
                var matchClientId = params.match(
                    /\bclient_id=(?:&quot;|")(.+?)(?:&quot;|")/
                );
                if (matchClientId && matchClientId.length) {
                    client_id = matchClientId[1];
                }
            }
            var strarr = [];
            strarr.push(
                '</br><a type="mxbutton" onclick="mxPostBack(event)" class="btn btn-default mx-button" data-action="handleBotEvents" data-param="' +
                type
            );
            // still need append empty payload as placeholder
            // otherwise the event handler parameters will mess up
            //Need always add these params in order to mapping the function parameters list.
            strarr.push("," + payload);
            strarr.push("," + (content || ""));
            strarr.push("," + client_id);
            strarr.push('">');
            return strarr.join("");
        },
        closeTag: function() {
            return "</a></br>";
        }
    }
});

function fetchHtmlStringWithBbcodeString(bbcodeString) {
    if (!bbcodeString){
        return ' ';
    }
    var result = XBBCODE.process({
        text:bbcodeString,
        removeMisalignedTags:false,
        addInLineBreaks:false,
        escapeHtml:false
    });

    return result.html;
}
